package com.kxs.system.biz.constant.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 错误类型枚举
 *
 * @author 没秃顶的码农
 * @date 2023/10/29
 */
@Getter
@RequiredArgsConstructor
public enum ErrorTypeEnum {

	USER_EMPTY(-1, "用户信息为空"), CLIENT_NULL(-1, "客户端查询异常，请检查数据库链接"),

	SYS_PARAM_DELETE_SYSTEM(-1, "系统内置参数不能删除"), SYS_DICT_DELETE_SYSTEM(-1, "系统内置字典不允许删除"),
	SYS_MENU_DELETE_EXISTING(-1, "菜单存在下级节点 删除失败"), SYS_USER_USERNAME_EXISTING(-1, "用户名已存在"),
	SYS_USER_UPDATE_PASSWORD_ERROR(-1, "用户原密码错误"), SYS_DICT_UPDATE_SYSTEM(-1, "系统内置字典不能修改");

	private final int code;

	private final String description;

}
